Prompt $H
cls
:: Adresse IP de l'imprimante
  set AdresseIP=192.168.1.184

  :: Chemin d'accs au pilote
  set Pilote=\\se3\progs\ro\imprimantes\pilotes\HP3800N\PCL6\hpc3800c.inf

  :: Nom de l'imprimante dans le fichier .inf
  set Imprimante=HP Color LaserJet 3800 PCL 6

  :: Nom local de l'imprimante
  set NomLocal=HP Salle Info 4

@echo On teste si l'imprimante %NomLocal% est prsente. Si oui, on quitte.
wmic PRINTER get Name /format:list | find "%NomLocal%"

if %errorlevel% ==0 goto end
@echo  %errorlevel%
pause
@echo L'imprimante %NomLocal% n'est pas installe, presser une touche pour l'installer.
@echo ................................
@echo INSTALLATION DE D'UN PORT TCP/IP
@echo ................................
@echo IP : %AdresseIP%, Type RAW, et port rseau : 9100
rem Chemin du script diffrent sous Windows 7
cscript %windir%\system32\prnport.vbs -a -r IP_%AdresseIP% -h %AdresseIP% -o raw -n 9100
@echo .............................
@echo INSTALLATION D'UNE IMPRIMANTE %NomLocal%
@echo .............................

@echo Nom : %NomLocal%, Emplacement des fichier INF : %Pilote%
@echo Nom du driver : %Imprimante%

rundll32 printui.dll,PrintUIEntry /if /f "%Pilote%" /b "%NomLocal%" /r IP_%AdresseIP% /m "%Imprimante%"
rundll32 printui.dll,PrintUIEntry /y /n "%NomLocal%"
pause
:: Autorise le gestion des documents  tout le monde
\\se3\Progs\ro\imprimantes\setacl\32\SetACL.exe -on "%NomLocal%" -ot prn -actn ace -ace "n:Tout le Monde;p:man_docs,print"
:end
pause
